"""
general helper methods shared between envoy modules
"""
import random
import string

CAPO_UI_SETTINGS_KEY = "edu.nrao.workspaces.UISettings"
CARTA_URL_REPLACE_TEXT = "CARTA_URL_GOES_HERE"
CARTA_HTML_FILENAME = "carta_url_page.html"
CARTA_TEMPLATE = f"""
<!DOCTYPE html>
<html>
<head title="CARTA Session in a Frame">
    <h4 style="color:#006400; font-size:24px;">
        Your CARTA Session</h4>
</head>
<body>
<iframe
        title="CARTA"
        style="position: absolute; height: 100%; border: none"
        src="{CARTA_URL_REPLACE_TEXT}" style="overflow:hidden;height:100%;width:100%" height="100%" width="100%">

</iframe>
</body>

</html>
"""


def generate_random_str() -> str:
    """
    Generates a random sequence of letters and digits of length 12

    :return: Random sequence of letters and digits of length 12
    """
    length = 12
    valid_chars = string.ascii_letters + string.digits
    return "".join(random.choices(valid_chars, k=length))
